const users = {
  '黄春霖-Xiaoiec': 'xiaoiec123456',
  '梁冠宇': 'lianggy',
  '苏俊鸿': 'sujh'
};

let currentUser = '';

document.getElementById('login-btn').addEventListener('click', handleLogin);
document.getElementById('send-btn').addEventListener('click', handleSend);
document.getElementById('file-btn').addEventListener('click', () => document.getElementById('file-input').click());
document.getElementById('file-input').addEventListener('change', handleFileUpload);

function handleLogin() {
  const username = document.getElementById('username').value;
  const password = document.getElementById('password').value;

  if (users[username] === password) {
    currentUser = username;
    document.getElementById('login-interface').classList.remove('active');
    document.getElementById('chat-interface').classList.add('active');
    loadChatHistory();
  } else {
    alert('Invalid credentials');
  }
}

function handleSend() {
  const messageInput = document.getElementById('message-input');
  const message = messageInput.innerText.trim();
  
  if (message) {
    sendMessage({
      sender: currentUser,
      content: message,
      timestamp: new Date().toLocaleString('en-US', {
        year: 'numeric',
        month: 'long',
        day: 'numeric',
        weekday: 'long',
        hour: 'numeric',
        minute: 'numeric',
        hour12: true
      })
    });
    messageInput.innerText = '';
  }
}

function handleFileUpload(event) {
  const file = event.target.files[0];
  if (file) {
    const progress = document.getElementById('upload-progress');
    progress.style.display = 'block';
    
    // Simulate file upload
    let width = 0;
    const interval = setInterval(() => {
      width += 2;
      progress.querySelector('.progress-bar').style.width = width + '%';
      if (width >= 100) {
        clearInterval(interval);
        setTimeout(() => {
          progress.style.display = 'none';
          progress.querySelector('.progress-bar').style.width = '0%';
          sendMessage({
            sender: currentUser,
            content: '',
            file: {
              name: file.name,
              size: file.size
            },
            timestamp: new Date().toLocaleString('en-US', {
              year: 'numeric',
              month: 'long',
              day: 'numeric',
              weekday: 'long',
              hour: 'numeric',
              minute: 'numeric',
              hour12: true
            })
          });
        }, 500);
      }
    }, 50);
  }
}

function sendMessage(message) {
  const chatHistory = document.getElementById('chat-history');
  const bubble = document.createElement('div');
  bubble.className = `chat-bubble ${message.sender === currentUser ? 'own' : ''}`;
  
  const sender = document.createElement('div');
  sender.className = 'sender';
  sender.textContent = message.sender;
  
  const content = document.createElement('div');
  content.className = 'content';
  content.textContent = message.content;
  
  const timestamp = document.createElement('div');
  timestamp.className = 'timestamp';
  timestamp.textContent = message.timestamp;
  
  bubble.appendChild(sender);
  bubble.appendChild(content);
  
  if (message.file) {
    const fileAttachment = document.createElement('div');
    fileAttachment.className = 'file-attachment';
    fileAttachment.innerHTML = `
      <svg viewBox="0 0 24 24" class="file-icon" style="width: 16px; height: 16px;">
        <path d="M14 2H6c-1.1 0-1.99.9-1.99 2L4 20c0 1.1.89 2 1.99 2H18c1.1 0 2-.9 2-2V8l-6-6zM6 20V4h7v5h5v11H6z"/>
      </svg>
      <span>${message.file.name}</span>
    `;
    bubble.appendChild(fileAttachment);
  }
  
  bubble.appendChild(timestamp);
  chatHistory.appendChild(bubble);
  chatHistory.scrollTop = chatHistory.scrollHeight;
}

function loadChatHistory() {
  // Simulate loading chat history
  const messages = [
    {
      sender: '梁冠宇',
      content: 'Hello everyone!',
      timestamp: 'May 20, 2023, Saturday, 10:30 AM'
    },
    {
      sender: '苏俊鸿',
      content: 'Hi there!',
      timestamp: 'May 20, 2023, Saturday, 10:31 AM'
    }
  ];
  
  messages.forEach(message => sendMessage(message));
}
